summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscript/roms5
1 files changed, 2 insertions, 3 deletions
diff --git a/script/roms b/script/roms
index 969407c0..4cf36e38 100755
--- a/script/roms
+++ b/script/roms
@@ -138,16 +138,15 @@ build_payloads()
cbrom="$cbdir/build/coreboot.rom"
[ -f "$cbfstool" ] || x_ ./update trees -b coreboot utils $tree
-
[ "$payload_memtest" = "y" ] && x_ ./update trees -b memtest86plus
-
[ "$payload_seabios" = "y" ] && x_ ./update trees -b seabios
+
if [ "$payload_grub" = "y" ] || [ "$payload_seabios_withgrub" = "y" ] \
|| [ "$payload_seabios_grubonly" = "y" ]; then
[ -f "$grubelf" ] || x_ ./update trees -b grub $grubtree
fi
- [ "$payload_uboot" = "y" ] || return 0
+ [ "$payload_uboot" = "y" ] || return 0
x_ ./update trees -b u-boot $board
ubdir="elf/u-boot/$board/$uboot_config"
ubootelf="$ubdir/u-boot.elf" && [ ! -f "$ubootelf" ] && \